PDA

View Full Version : merge 3.1.0 charts to 3.0.0 lib



floflo
2 Feb 2010, 7:37 AM
hi,

i upgraded extjs to 3.1.0 to use charts, because it fixed a bug to allow instance of chart.swf to be reinitialized.

but i've got several troubles with 3.1.0, even with 3.1.1 beta that put a mess in my appli.
so i would like to go back to 3.0.0 and just upgrade the charts to 3.1.0

so I merged from 3.1.0 :

/resources/chart.swf
/src/chart/Charts.js
/src/chart/EventProxy.js
/src/chart/FlashComponent.js
/src/chart/swfojbect.js

i empty the cash of Firefox... but that changes didn't apply, i still have the bug which exists in 3.0.0

did i miss a file or something ?
it's very important because the upgrade of ExtJs put to much bugs in my appli..

thks

flo

realjax
2 Feb 2010, 7:53 AM
You sure you are not simply using ext-all.js ??
If so, you first need to create a new build yourself.

floflo
2 Feb 2010, 8:24 AM
hi,

no i do use ext-all-debug.js

realjax
2 Feb 2010, 10:28 AM
same thing. :)
You need to create you own build.

floflo
3 Feb 2010, 3:45 AM
ok,

so i merged those files :

src/widgets/chart/*.js
resources/chart.swf

from 3.1.0 to my folders of 3.0.0

then i build my own from the 3.0.0 (with the new chart files), and then i included my new ext-all.js to my page...

but no effect, the bug of 3.0 chart still here...
i think there is another file i miss to configure charts.. or something wrong

does any one know ?

thks